unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Buttons, ShellApi;

type
  TForm1 = class(TForm)
    Image1: TImage;
    SinButton: TSpeedButton;
    CosButton: TSpeedButton;
    AboutButton: TSpeedButton;
    ExitButton: TSpeedButton;
    procedure SinButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CosButtonClick(Sender: TObject);
    procedure AboutButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SinButtonClick(Sender: TObject);
var x: real;
    sx,sy: integer;
begin
x:=-15;
sy:=Image1.Height div 3;
sx:=Image1.Width div 30;
while x<15 do
  begin
  Image1.Canvas.Pixels[trunc(sx*x)+Image1.Width div 2,Image1.Height div 2-trunc(sy*sin(x))]:= ClLime;
  x:=x+0.001;
  end;
end;

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Image1.Canvas.Brush.Color:=clBlack;
Image1.Canvas.FloodFill(Form1.Width div 2,Form1.Height div 2,clWhite,fsSurface);
Image1.Canvas.Pen.Color:=clYellow;
Image1.Canvas.MoveTo(0,Image1.Height div 2);
Image1.Canvas.LineTo(Image1.Width,Image1.Height div 2);
Image1.Canvas.MoveTo(Image1.Width div 2,0);
Image1.Canvas.LineTo(Image1.Width div 2,Image1.Height);
end;

procedure TForm1.CosButtonClick(Sender: TObject);
var x: real;
    sx,sy: integer;
begin
x:=-15;
sy:=Image1.Height div 3;
sx:=Image1.Width div 30;
while x<15 do
  begin
  Image1.Canvas.Pixels[trunc(sx*x)+Image1.Width div 2,Image1.Height div 2-trunc(sy*cos(x))]:= ClRed;
  x:=x+0.001;
  end;

end;

procedure TForm1.AboutButtonClick(Sender: TObject);
begin
ShellAboutA(Handle,'SinCos','HomeWork SinCos'+#13+'Copyright 2005 by Kargin Alex',Application.Icon.Handle);
end;

end.
